driver: use PROGBITS type for .debug-ghc-link-info section
ClosedPublic

Authored by hsyl20 on Oct 26 2015, 1:27 PM.

Details

Summary

Previously the .debug-ghc-link-info section was of type SHT_NOTE but this
is not compliant with the ELF specification, which requires that NOTE
sections are in a particular record-based format. We mark this section as
PROGBITS instead, which is defined as implying no particular format.

Fixes Trac #11022.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bgamari updated this revision to Diff 4678.Oct 26 2015, 1:27 PM
bgamari retitled this revision from to driver: use PROGBITS type for .debug-ghc-link-info section.
bgamari updated this object.
bgamari edited the test plan for this revision. (Show Details)
bgamari updated the Trac tickets for this revision.
bgamari added a subscriber: hsyl20.
bgamari updated this object.Oct 26 2015, 2:26 PM
bgamari edited edge metadata.
austin requested changes to this revision.Oct 26 2015, 4:30 PM
austin edited edge metadata.

plz add Note

This revision now requires changes to proceed.Oct 26 2015, 4:30 PM
hsyl20 commandeered this revision.Oct 27 2015, 10:39 AM
hsyl20 added a reviewer: bgamari.
hsyl20 updated this revision to Diff 4713.Oct 27 2015, 10:40 AM
hsyl20 edited edge metadata.

Add note

hsyl20 updated this revision to Diff 4731.Oct 27 2015, 8:06 PM
hsyl20 edited edge metadata.

Fix typo

bgamari accepted this revision.Oct 28 2015, 6:29 AM
bgamari edited edge metadata.

Thanks @hsyl20! Looks good to me.

austin accepted this revision.Oct 28 2015, 7:18 PM
austin edited edge metadata.

LGTM

This revision is now accepted and ready to land.Oct 28 2015, 7:18 PM
This revision was automatically updated to reflect the committed changes.